{ lib, ... }:
with lib;
{
  options.mjallen.programs.kitty = {
    enable = mkEnableOption "enable kitty terminal";

    font = {
      name = mkOption {
        type = types.str;
        default = "DejaVu Sans";
      };
      package = mkOption {
        type = types.package;
        default = pkgs.dejavu_fonts;
      };
      size = mkOption {
        type = with types; int;
        default = 12;
      };
    };

    theme = mkOption {
      type = types.attrs;
      default = import (lib.snowfall.fs.get-file "modules/home/desktop/theme/nord.nix");
    };
  };
}
